using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicDataModels.Models;

namespace VetClinicContracts.ViewModels
{
	public class MedicineViewModel : IMedicineModel
	{
		public int Id { get; set; }
		[DisplayName("Название медикамента")]
		public string MedicineName { get; set; } = string.Empty;
		[DisplayName("Цена медикамента")]
		public double Price { get; set; }
		[DisplayName("Фармацевт")]
		public string PharmacistFIO { get; set; } = string.Empty;
		public int PharmacistId { get; set; }
		public Dictionary<int, IAnimalModel> MedicineAnimals { get; set; } = new();
	}
}
